typedef struct
{
  double    x, y, z;
}	  VEKTOR;

typedef struct
{
  char	    name[3];
  int	    x, y, z;
  int	    r;
}	  ATOMTYP;

struct Atom
{
  char Kurzz[3];
  char Name[20];
  int Farbe;
};

struct FRPointer {
  UWORD *Pointer;
  WORD	Height;
  WORD	Width;
  WORD	XOffset;
  WORD	YOffset;
};

struct ChemPrefs {
  double bv;	      /* Bildverhltnis */
  BOOL IconCreaData;  /* Icons fuer Datenfiles ja/nein (noch nicht benutzt) */
  BOOL IconCreaIFF;   /* Icons fuer Bildfiles ja/nein */
  BOOL Title;	      /* Titelzeile (Screen) ja/nein */
};

#define MAXATOM 60		       /* Hoechstmoegliche Anzahl von Atomen */
#define ATOMVERGRFAKT 1.5	       /* Vergr. der Kalottenradien */
#define BILDSCHIRMABSTAND 6000.0       /* 6100 pm entspricht einem Abstand
					  des Beobachters vom Bildschirm von
					  ca. 60 cm, wichtig fuer Berechnung
					  der Perspektive   */
typedef ATOMTYP T_A[MAXATOM];	       /* Atome        */
typedef int T_MB[MAXATOM];	       /* moegliche Berhrungen*/

